alter table BN_ACT_DEF add DYN_LABEL_ clob;
alter table BN_ACT_DEF add DYN_DESCRIPTION_ clob;
alter table BN_ACT_DEF add SUBFLOW_VERSION_ varchar2(255 char);
alter table BN_ACT_DEF add INSTANTIATOR_ number(19,0);
alter table BN_ACT_DEF add JOIN_CHECKER_ number(19,0);
alter table BN_ACT_DEF add LOOP_ number(1,0);
update BN_ACT_DEF set LOOP_=0;
alter table BN_ACT_DEF add BEFORE_EXECUTION_ number(1,0);
update BN_ACT_DEF set BEFORE_EXECUTION_=0;
alter table BN_ACT_DEF add LOOP_CONDITION_ clob;
alter table BN_ACT_DEF add LOOP_MAXIMUM_ clob;

alter table BN_ACT_INST add DYN_LABEL clob;
alter table BN_ACT_INST add DYN_DESCR clob;

alter table BN_ATTACH_DEF add FILE_PATH_TMP clob;
update BN_ATTACH_DEF set FILE_PATH_TMP = FILE_PATH_;
alter table BN_ATTACH_DEF drop column FILE_PATH_;
alter table BN_ATTACH_DEF rename column FILE_PATH_TMP to FILE_PATH_;

alter table BN_ATTS_INST add ATT_INST_FILEPATH_TMP clob;
update BN_ATTS_INST set ATT_INST_FILEPATH_TMP = ATT_INST_FILEPATH_;
alter table BN_ATTS_INST drop column ATT_INST_FILEPATH_;
alter table BN_ATTS_INST rename column ATT_INST_FILEPATH_TMP to ATT_INST_FILEPATH_;

create table BN_ATTS_METADATA (
  ATT_DBID_ number(19,0) not null,
  VALUE_ varchar2(255 char),
  KEY_ varchar2(255 char) not null,
  primary key (ATT_DBID_, KEY_)
);

alter table BN_COMMENTS add PROCESS_UUID_ varchar2(255 char);

alter table BN_IEI_ add PERMANENT_ number(1,0);
update BN_IEI_ set PERMANENT_=0;
alter table BN_IEI_ add CONSUMED number(1,0);
update BN_IEI_ set CONSUMED=0;

alter table BN_METADATA add constraint UNIKEY_ unique (KEY_);

alter table BN_OEI_ add CONSUMED number(1,0);
update BN_OEI_ set CONSUMED=0;

alter table BN_PROC_INST add XP_READ_ number(19,0);
update BN_PROC_INST set XP_READ_ = 0;

alter table BN_PVM_EXEC add ACT_INST_NB_ number(10,0);
update BN_PVM_EXEC set ACT_INST_NB_=0;

alter table BN_ROLE add ROLE_UUID_ varchar2(255 char);

alter table BN_TRANS_DEF add DEFAULT_ number(1,0);
update BN_TRANS_DEF set DEFAULT_=0;

alter table BN_USER add USER_UUID_ varchar2(255 char);

alter table BN_WEB_CASE add LAST_UPDATE number(19,0);
update BN_WEB_CASE set LAST_UPDATE = 0;
alter table BN_WEB_CASE add LABEL_ varchar2(255 char);
update BN_WEB_CASE set LABEL_='';

create table BN_WEB_TOKEN (
  DBID_ number(19,0) not null,
  TOKEN varchar2(255 char),
  EXPIRATION_DATE number(19,0),
  IDENTITY_KEY varchar2(255 char),
  primary key (DBID_)
);

alter table BN_ACT_DEF
  add constraint FK99EE4DA5D6989A77 foreign key (INSTANTIATOR_) references BN_CON_DEF;

alter table BN_ACT_DEF
  add constraint FK99EE4DA52169A115 foreign key (JOIN_CHECKER_) references BN_CON_DEF;

alter table BN_ATTS_METADATA 
  add constraint FK976540293C0CE5CF foreign key (ATT_DBID_) references BN_ATTS_INST;

alter table BN_METADATA drop constraint FK_ATT_METADATA_BR;
drop index IDX_ATT_METADATA_BR;
alter table BN_METADATA drop column ATT_ID_;

create index IDX_ROLE_UUID on BN_ROLE (ROLE_UUID_);

create index IDX_USER_UUID on BN_USER (USER_UUID_);
    
create index IDX_CASE_UPD on BN_WEB_CASE (LAST_UPDATE);
create index IDX_LABEL on BN_WEB_CASE (LABEL_);
create index IDX_CASE_OWN on BN_WEB_CASE (OWNER);
create index IDX_CASE_LAB on BN_WEB_CASE (NAME);